package com.zehong.system.domain;

/**
 * 首页感知设备详情封装类
 */
public class TAssociatedEquipment {

    //设备编号
    private String deviceCode;

    //设备名称
    private String deviceName;

    //探测介质
    private String detectionMedium;

    //联系人
    private String linkman;

    //联系电话
    private String phone;

    //设备状态   0在线   1掉线
    private String detectorStatus;

    //预警时间
    private String createTime;

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getDetectionMedium() {
        return detectionMedium;
    }

    public void setDetectionMedium(String detectionMedium) {
        this.detectionMedium = detectionMedium;
    }

    public String getLinkman() {
        return linkman;
    }

    public void setLinkman(String linkman) {
        this.linkman = linkman;
    }

    public String getDetectorStatus() {
        return detectorStatus;
    }

    public void setDetectorStatus(String detectorStatus) {
        this.detectorStatus = detectorStatus;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        return "TAssociatedEquipment{" +
                "deviceCode='" + deviceCode + '\'' +
                ", deviceName='" + deviceName + '\'' +
                ", detectionMedium='" + detectionMedium + '\'' +
                ", linkman='" + linkman + '\'' +
                ", phone='" + phone + '\'' +
                ", detectorStatus='" + detectorStatus + '\'' +
                ", createTime='" + createTime + '\'' +
                '}';
    }
}
